Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(103)

Unified Diff: tools/tests/run.sh

Issue 15774017: Run skimage as part of run.sh (Closed) Base URL: https://skia.googlecode.com/svn/trunk
Patch Set: Merge with latest changes. Created 7 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/tests/run.sh
diff --git a/tools/tests/run.sh b/tools/tests/run.sh
index 940f59732f21e81635f7db5610dfc3eff445ff3c..cfc3c5bfa710963a3f616773572587e15dfc7f6c 100755
--- a/tools/tests/run.sh
+++ b/tools/tests/run.sh
@@ -191,6 +191,19 @@ benchgraph_download_rawdata $PLATFORM 7686 "$BENCHDATA_FILE_SUFFIXES_YES_INDIVID
benchgraph_test $PLATFORM
#
+# Run self test for skimage ...
+#
+
+COMMAND="python tools/tests/skimage_self_test.py"
+echo "$COMMAND"
+$COMMAND
+ret=$?
+if [ $ret -ne 0 ]; then
+ echo "skimage self tests failed."
+ exit 1
+fi
+
+#
# Test rebaseline.py ...
#
@@ -200,5 +213,4 @@ rebaseline_test "--tests test1 test2 --configs 565 8888 --subdirs base-android-g
rebaseline_test "--tests test1 test2" "$REBASELINE_OUTPUT/all"
rebaseline_test "--json_base_url file:$REBASELINE_INPUT/json1 --subdirs base-android-galaxy-nexus base-shuttle-win7-intel-float" "$REBASELINE_OUTPUT/using-json1"
-
echo "All tests passed."
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698